/******************************************************************************
 Symbols.h

		Symbol manager interface for the SignWriter key editor
		
		Copyright  1995 Center for Sutton Movement Writing. All rights reserved.

 ******************************************************************************/
 
#pragma once



#include "LongCoordinates.h"




		// Symbol types
		
typedef enum {face, hand, movement, shoulder, contact, other} SymbolType;



		// Image classes
		
typedef enum {class1, class2, class3A, class3B, class4, class5} ImageClass;



	   // Initialization
	   
void  AssignSym (short symCode, Ptr symPtr);


	   
	   // Termination
	   
void  DisposeSyms (void);

	   
	   
	   // Status
	  
Boolean  SymEmpty (short symCode);	 				  



	  // Symbol type
	  
void  GetSymType (short symCode,
				  SymbolType *symType);



	  // Symbol variations
	  
void  GetSymVars (short symCode,
				  short *maxVar);
	
				 
				 
	  // Fill variations
	  
void  GetFillVars (short symCode, short symVar,
				   short *maxFill);



	  // Symbol attributes
	  
void  GetAttrs (short symCode, short symVar, short fillVar,
				ImageClass *imgClass, short *maxRot, short *maxFlop);



	  // Symbol coordinates
		 		 			
void  GetCoords (short symCode, short symVar, short fillVar, short rot, short flop, 
				 LongPt *frame, LongPt *center, Boolean thumbNail);
				 
				 
				 
	  // Symbol drawing	   
			  	  
void  DrawSymbol (short symCode, short symVar, short fillVar, short rot, short flop, 
				  BitMap *img, LongPt *imgPos,
				  Boolean thumbNail, Boolean canUndraw);


void  UndrawSymbol (BitMap *img);

				  

