/****
 * CFileWndBox.c
 *
 *	File window box methods for the SignWriter symbol editor.
 *
 *  Copyright  1995 The Center for Sutton Movement Writing.  All rights reserved.
 *
 ****/



#include "CFileWndBox.h"
#include "CPane.h"
#include "KeyEditConsts.h"
#include <string.h>



void CFileWndBox::IFileWndBox(CView *anEnclosure, CBureaucrat *aSupervisor,
							  short aWidth, short aHeight,
							  short aHEncl, short aVEncl,
							  SizingOption aHSizing, SizingOption aVSizing)
{
	itsLabel[0] = '\0';
	
	itsWidth  = aWidth;
	itsHeight = aHeight;
	
	inherited::IPane(anEnclosure, aSupervisor, aWidth, aHeight,
					aHEncl, aVEncl, aHSizing, aVSizing);
}

							

/***
 * Draw
 *
 *	Refresh current box label.
 *
 ***/

void CFileWndBox::Draw (Rect *area)

{
	Update(itsLabel);
}



/***
 * Update
 *
 *	Update box label.
 *
 ***/

void CFileWndBox::Update (ConstStr27Param strVal)

{
	Str27	str;
	Rect	rect;

	strcpy((char *) itsLabel, (char *) strVal);
	strcpy((char *) str, (char *) strVal);
	CtoPstr(str);
	
	Prepare();
	SetRect(&rect, 0, 1, itsWidth - 1, itsHeight - 1); 
	EraseRect(&rect);
	
	TextFont(1); TextFace(0); TextSize(10);
	MoveTo((itsWidth - StringWidth(str)) / 2, itsHeight - 3);
	DrawString(str);
		
}



/***
 * Dispose
 *
 *	Pass the buck.
 *
 ***/

void CFileWndBox::Dispose(void)

{
	inherited::Dispose();
}


